--! \file
--! \brief Bath_timer theme script

local Message_second = 3


function setup(theme)
   math.randomseed(os.time())
   theme:set_pattern("normal")

   theme:set_message_from_position(75, 4)

   local message = "艦隊のアイドル、那珂ちゃんだよー。\nよっろしくぅ～！"
   theme:set_message(message, Message_second)
end


function single_clicked(theme)
   local messages = {
      "おはようございまーす！",
      "那珂ちゃんスマイルー！",
      "那珂ちゃんはー\nみんなのものなんだからー\nそんなに触っちゃダメなんだよー？",
      "ありがとー！",
      "お仕事ですね！",
   }

   local index = math.floor(math.random() * (#messages - 1)) + 1
   local message = messages[index]
   theme:set_message(message, Message_second)
end


function double_clicked(theme)
   theme:order_capture()
end


function capture_clicked(theme)
end


function timer_captured(theme)
   theme:set_pattern("wink")
end


function task_completed(theme,item)
   local message = ""

   local type = item:type()
   if type == Timer_item.Mission then
      message = "お仕事しゅうりょー！\nお疲れさまっ！"

   elseif type == Timer_item.Repair then
      message = "舞台裏は見ないでね！"

   elseif type == Timer_item.Create then
      message = "新しい子入ったよー\n楽しみだね！"
   end

   theme:set_message(message, Message_second)
   theme:set_pattern("wink")
end


function position_changed(theme, x, y, w, h, recommended_x)
   local Theme_offset_x =-175
   local Theme_offset_y =-250
   local Theme_width = 150
   local Theme_height = 250

   local Bottom_offset = 6

   local theme_x
   if recommended_x then
      theme_x = x + recommended_x
   else
      theme_x = x - Theme_width/2 + w/2
   end
   local theme_y = y - Theme_height
   theme:move(theme_x, theme_y + Bottom_offset)
end


function animation_completed(theme)
   local value = math.random()
   local emotion
   if value < 0.90 then
      emotion = "normal"
   elseif value > 0.99 then
      emotion = "wink"
   else
      emotion = "blink"
   end

   theme:set_pattern(emotion)
end


function idle(theme)
end
